> ## Documentation Index
> Fetch the complete documentation index at: https://checkly-422f444a-docs-vercel-web-analytics.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a current account member role



## OpenAPI

````yaml patch /v1/accounts/me/members/{userId}
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API. If you have
    any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /v1/accounts/me/members/{userId}:
    patch:
      tags:
        - Accounts
      summary: Update a current account member role
      operationId: patchV1AccountsMeMembersUserid
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: userId
          in: path
        - schema:
            type: string
            format: uuid
            description: >-
              Your Checkly account ID, you can find it at
              https://app.checklyhq.com/settings/account/general
          required: false
          description: >-
            Your Checkly account ID, you can find it at
            https://app.checklyhq.com/settings/account/general
          name: x-checkly-account
          in: header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccountMemberUpdate'
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountMember'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    AccountMemberUpdate:
      type: object
      properties:
        role:
          type: string
          enum:
            - ADMIN
            - READ_WRITE
            - READ_RUN
            - READ_ONLY
          description: New account member role. OWNER is not supported.
      required:
        - role
      additionalProperties: false
    AccountMember:
      type: object
      properties:
        type:
          type: string
          enum:
            - member
        accountId:
          type: string
          format: uuid
        userId:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
        email:
          type: string
          format: email
        role:
          type: string
          enum:
            - OWNER
            - ADMIN
            - READ_WRITE
            - READ_RUN
            - READ_ONLY
        status:
          type: string
          enum:
            - ACTIVE
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        isSupportMembership:
          type: boolean
        ssoEnabled:
          type: boolean
        mfaEnabled:
          type: boolean
      required:
        - type
        - accountId
        - userId
        - name
        - email
        - role
        - status
        - createdAt
        - updatedAt
        - isSupportMembership
        - ssoEnabled
        - mfaEnabled
    ApiError:
      type: object
      properties:
        statusCode:
          type: number
        error:
          type: string
        message:
          type: string
      required:
        - statusCode
        - error
        - message
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password:  keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````